Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dao
Interface XmlDataDAO

All Known Implementing Classes:
  XmlDataDAOImpl

    public interface XmlDataDAO

Data access object representing a piece of XML data. This is object is used to model BPEL variables.

Method Summary
`org.w3c.dom.Node` | `get()` Retreive the variable data.
`java.lang.String` | `getName()` Get the name of the variable.
`java.lang.String` | `getProperty(java.lang.String propertyName)` Return the value of a property.
`ScopeDAO` | `getScopeDAO()` Gets the scope associated with this xml data.
`boolean` | `isNull()` Checks if the dao has been assigned any data.
`void` | `remove()` Remove the object from the data store.
`void` | `set(org.w3c.dom.Node val)` Set the data value of a variable.
`void` | `setProperty(java.lang.String pname, java.lang.String pvalue)` Sets the value of a property

Method Detail

### getName

    java.lang.String getName()

  Get the name of the variable.

  Returns:
    variable name

### isNull

    boolean isNull()

  Checks if the dao has been assigned any data.

  Returns:
    `true` is assignment has NOT occured.

### get

    org.w3c.dom.Node get()

  Retreive the variable data.

  Returns:
    the variable data

### remove

    void remove()

  Remove the object from the data store.

### set

    void set(org.w3c.dom.Node val)

  Set the data value of a variable.

  Parameters:
    `val` - value

### getProperty

    java.lang.String getProperty(java.lang.String propertyName)

  Return the value of a property. Properties are useful for extracting simple type data which can be used for querying and identifying process instances.

  Parameters:
    `propertyName` -
  Returns:
    value of property or null if not set.

### setProperty

    void setProperty(java.lang.String pname,
                     java.lang.String pvalue)

  Sets the value of a property

  Parameters:
    `pname` -
    `pvalue` -

### getScopeDAO

    ScopeDAO getScopeDAO()

  Gets the scope associated with this xml data.

  Returns:
    scope

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD